# mongo.sh setup adjusts the following parameters:
# storage dbPath, log path, net port, security and replication

# for documentation of all options, see:
# http://docs.mongodb.org/manual/reference/configuration-options/

# Where and how to store data.
storage:
  dbPath: ./data/mongodb/data-1
  journal:
    enabled: true
#  engine:
#  mmapv1:
#  wiredTiger:

# where to write logging data.
systemLog:
  destination: file
  logAppend: true
  path: ./data/mongodb/log/repl-1.log

# network interfaces
net:
  port: 27017
  bindIp: 127.0.0.1


# how the process runs
processManagement:
  timeZoneInfo: /usr/share/zoneinfo

#security:
security:
  authorization: disabled
  # keyFile: ./mongodb/mongodb.key

#operationProfiling:

#replication:
replication:
  replSetName: adaptor-repl
#sharding:

## Enterprise-Only Options:

#auditLog:

#snmp:
